Build out better installer build strategy

08/04/2014 06:55 AM - Stephen Benjamin

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello Recycle Bin   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In katello-installer we use librarian, but IMHO submodules are easier to manage for our use cases

History

#1 - 08/04/2014 10:14 AM - Ivan Necas

I don't think working with librarian-puppet is ideal. But I definitely have no good experience with using git submodules extensively. Also, as the

foreman-installer uses the librarian, it makes sense for katello-installer to use the same. The reason why we store the modules within the

katello-installer is easier downstream process than without it.

#2 - 08/04/2014 10:49 AM - Stephen Benjamin

- Subject changed from Puppet manifests should use git submodules instead of librarian to Build out better installer build strategy

#3 - 08/04/2014 10:51 AM - Eric Helms

- Difficulty set to medium

- Triaged changed from No to Yes

Some things to consider:

1. Can we adopt Foreman method of pulling in modules at build time?

2. How do we cherry-pick fixes?

3. How do downstream builds work in light of the upstream process?

#4 - 08/04/2014 10:54 AM - Stephen Benjamin

Foreman used to use submodules so maybe we can see what the pros/cons are.  The Foreman way of pulling in at build time is also OK. Opening

this request was mostly prompted by a PR I had last week and this one:

 https://github.com/Katello/katello-installer/pull/93

I find it difficult to locate where the actual change was vs. just updating the modules, it generates a lot of noise.

#5 - 12/21/2015 11:50 AM - Eric Helms

- Status changed from New to Rejected

We have moved to the same model as foreman-installer of not keepin gmodules in git

#6 - 07/08/2016 11:30 AM - Eric Helms

- translation missing: en.field_release set to 166
